Cryptema’s Blog

my blocknotes…

Posts Tagged ‘metasploit’

Installare Metasploit Framework 3.3.3 in Ubuntu 10.04

Posted by cryptema on 6 May 2010


1) Installare le dipendenze necessarie:

sudo apt-get install libglade2-ruby sqlite3 libsqlite3-ruby1.8 && sudo apt-get install libdbd-sqlite3-ruby1.8 libopenssl-ruby subversion rubygems

2) Scaricare ed estrarre il framework metasploit nel seguente modo:

wget http://www.metasploit.com/releases/framework-3.3.3.tar.bz2 && tar xvfj framework-3.3.3.tar.bz2 && cd msf3

3) Aggiornare il framework all’ultima release disponibile

svn update

4) Avviare metasploit:

con intefaccia grafica

./msfgui

senza interfaccia grafica

./msfconsole
Advertisements

Posted in Hacking, Linux | Tagged: , , | 6 Comments »